[Rubygems-developers] [ rubygems-Bugs-27896 ] gem install failing because of permission errors

noreply at rubyforge.org noreply at rubyforge.org
Wed Apr 21 00:50:34 EDT 2010


Bugs item #27896, was opened at 2010-02-26 09:12
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=27896&group_id=126

>Category: `gem install` command
>Group: v1.3.x
>Status: Closed
>Resolution: Accepted
Priority: 3
Submitted By: Matt Patterson (fidothe)
>Assigned to: Eric Hodel (drbrain)
Summary: gem install failing because of permission errors

Initial Comment:
1.3.6 seems to have broken the ability to install gems in your home directory...

matt$ gem install treetop
ERROR:  While executing gem ... (Gem::FilePermissionError)
    You don't have write permissions into the /usr/bin directory.

with 1.3.5 and earlier, this command would result in text saying something like "installed in ~/.gem because /usr/bin/ not writable" and a successfull install.


----------------------------------------------------------------------

>Comment By: Eric Hodel (drbrain)
Date: 2010-04-20 21:50

Message:
--user-install was disabled by default in 1.3.6, but failed to make it into the release notes.  You can enable it for yourself via ~/.gemrc, see http://rubygems.rubyforge.org/rubygems-update/Gem/ConfigFile.html

----------------------------------------------------------------------

Comment By: Matt Patterson (fidothe)
Date: 2010-02-26 10:21

Message:
Explicitly setting $GEM_HOME to /Users/matt/.gem/ruby/1.8 causes 1.3.6's 
`gem install` to install gems without complaint.

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=27896&group_id=126


More information about the Rubygems-developers mailing list